<?php
if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "<span class='bullet'>&middot;</span>");
if (!defined('MEMBER_IMAGE')) {define("MEMBER_IMAGE", THEME.'images/');}

require_once INCLUDES."theme_functions_include.php";

function render_page($license = false) {
	global $aidlink, $settings, $main_style, $locale, $mysql_queries_time,$userdata;
	//Header
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n";
	echo "<tr>";
	echo "<td class='fbg-a' align='center'>";
		echo "<table cellpadding='0' cellspacing='0' width='1000'>\n<tr>\n";
		if (iMEMBER) {
			echo "<td class='member-menu' align='right'>";
			$msg_count = dbcount("(message_id)", DB_MESSAGES, "message_to='".$userdata['user_id']."' AND message_read='0'AND message_folder='0'");
			echo "<a href='".BASEDIR."edit_profile.php' class='member-icon-bg'><img src='".MEMBER_IMAGE."edit.png' title='Profil szerkesztse' alt='' style='vertical-align:middle' border='0' />\n</a>\n";
			if ($msg_count) {
				echo "<a class='member-icon-bg' href='".BASEDIR."messages.php'><img src='".MEMBER_IMAGE."mailn.gif' title='zenete rkezett' alt='' style='vertical-align:middle' border='0' />\n</a>\n";
			} else {
				echo "<a class='member-icon-bg' href='".BASEDIR."messages.php'><img src='".MEMBER_IMAGE."mail.png' title='zenetek' alt='' style='vertical-align:middle' border='0' />\n</a>\n";
			}
			echo "<a class='member-icon-bg' href='".BASEDIR."members.php'><img src='".MEMBER_IMAGE."members.png' title='Felhasznlk' alt='' style='vertical-align:middle' border='0' />\n</a>\n";
			if (iADMIN && (iUSER_RIGHTS != "" || iUSER_RIGHTS != "C")) {
				echo "<a class='member-icon-bg' href='".ADMIN."index.php".$aidlink."'><img src='".MEMBER_IMAGE."admin.png' title='Adminisztrci' alt='' style='vertical-align:middle' border='0' />\n</a>\n";
			}
			echo "<a class='member-icon-bg' href='".BASEDIR."setuser.php?logout=yes'><img src='".MEMBER_IMAGE."logout.png' title='Kijelentkezs' alt='' style='vertical-align:middle' border='0' />\n</a>\n</center><br />";
			echo "</td>\n";
		} else {
			echo "<td align='right' class='quest-login'><a href='".BASEDIR."login.php'><span class='quest-logina'>Bejelentkezs</span>\n</a> | <a href='".BASEDIR."register.php'><span class='quest-logina'>Regisztrci</span>\n</a> | <a href='".BASEDIR."lostpassword.php'><span class='quest-logina'>Jelsz emlkeztet</a></span>\n</td>\n";
		}
		echo "</tr>\n</table>\n";
	echo "</td>\n";
	echo "</tr>\n";

	echo "<tr>";
	echo "<td class='fbg-b' align='center'>";
		echo "<table cellpadding='0' cellspacing='0' width='1000'>\n<tr>\n";
		echo "<td align='left'>".showbanners()."</td>\n";
		echo "</tr>\n</table>\n";
	echo "</td>\n";
	echo "</tr>\n";

	echo "<tr>";
	echo "<td class='fbg-c' align='center'>";
		echo "<table cellpadding='0' cellspacing='0' width='1000'>\n<tr>\n";
		echo "<td align='left' class='sub-header'>";
		//include_once THEME."TinyDropdown/tinydropdown.php";
		echo showsublinks(" ".THEME_BULLET." ", "white");
		echo "</td>\n";
		echo "</tr>\n</table>\n";
	echo "</td>\n";
	echo "</tr>\n";
	echo "</table>\n";

	//Content
	echo "<table cellpadding='0' cellspacing='0' width='1000' align='center'>\n<tr>\n";
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>\n";
	echo "<td class='side-border-right' valign='top'>";
		if (LEFT) { echo "".LEFT.""; }
		if (RIGHT) { echo "".RIGHT.""; }
	echo "</td>\n</tr>\n</table>\n";
	
	include_once THEME."includes/footer-info.php";
	
	echo "<table cellpadding='0' cellspacing='0' width='1000' align='center'>\n<tr>\n";
	echo "<td align='center' class='main-footer'>".stripslashes($settings['footer']);
	if (!$license) { echo showcopyright(); }
	echo "</td>\n";
	echo "</tr>\n</table>\n";
}

function render_comments($c_data, $c_info){
	global $locale, $settings;
	opentable($locale['c100']);
	if (!empty($c_data)){
		echo "<div class='comments floatfix'>\n";
			$c_makepagenav = '';
			if ($c_info['c_makepagenav'] !== FALSE) { 
			echo $c_makepagenav = "<div style='text-align:center;margin-bottom:5px;'>".$c_info['c_makepagenav']."</div>\n"; 
		}
			foreach($c_data as $data) {
	        $comm_count = "<a href='".FUSION_REQUEST."#c".$data['comment_id']."' id='c".$data['comment_id']."' name='c".$data['comment_id']."'>#".$data['i']."</a>";
			echo "<div class='tbl2 clearfix floatfix'>\n";
			if ($settings['comments_avatar'] == "1") { echo "<span class='comment-avatar'>".$data['user_avatar']."</span>\n"; }
	        echo "<span style='float:right' class='comment_actions'>".$comm_count."\n</span>\n";
			echo "<span class='comment-name'>".$data['comment_name']."</span>\n<br />\n";
			echo "<span class='small'>".$data['comment_datestamp']."</span>\n";
	if ($data['edit_dell'] !== false) { echo "<br />\n<span class='comment_actions'>".$data['edit_dell']."\n</span>\n"; }
			echo "</div>\n<div class='tbl1 comment_message'>".$data['comment_message']."</div>\n";
		}
		echo $c_makepagenav;
		if ($c_info['admin_link'] !== FALSE) {
			echo "<div style='float:right' class='comment_admin'>".$c_info['admin_link']."</div>\n";
		}
		echo "</div>\n";
	} else {
		echo $locale['c101']."\n";
	}
	closetable();   
}

function render_news($subject, $news, $info) {
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n";
	echo "<tr><td class='news-capmain'>".$subject."</td>\n</tr>\n";
	echo "<tr><td class='news-footer'>";
	echo newsposter($info," &middot;").newscat($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</td>\n</tr>\n";
	echo "</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td class='news-body'>".$info['cat_image'].$news."</td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<div class='share'></div>\n";
}

function render_article($subject, $article, $info) {
	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n";
	echo "<tr><td class='news-capmain'>".$subject."</td>\n</tr>\n";
	echo "<tr><td class='news-footer'>";
	echo articleposter($info," &middot;").articlecat($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td class='news-body'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<div class='share'></div>\n";
}

function opentable($title) {
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain'>".$title."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='main-body'>\n";
}

function closetable() {
	echo "</td>\n</tr></table>\n";
}

function openside($title, $collapse = false, $state = "on") {
	global $panel_collapse; $panel_collapse = $collapse;
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='scapmain'>".$title."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='side-body'>\n";	
}

function closeside() {
	global $panel_collapse;
	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</td>\n</tr>\n</table>\n";
}
?>